# $Revision: 1.173 $, $Date: 2010/07/02 09:19:40 $

# Conditional build:
%bcond_without	javadoc		# skip building javadocs
%bcond_without	webservices	# skip building webservices

%define		jspapiver	2.1
%define		servletapiver	2.5

%include	/usr/lib/rpm/macros.java
Summary:	Web server and Servlet/JSP Engine, RI for Servlet %{servletapiver}/JSP %{jspapiver} API
Summary(pl.UTF-8):	Serwer www i silnik Servlet/JSP będący wzorcową implementacją API Servlet %{servletapiver}/JSP %{jspapiver}
Name:		tomcat
Version:	6.0.26
Release:	8
License:	Apache v2.0
Group:		Networking/Daemons/Java
Source0:	http://www.apache.org/dist/tomcat/tomcat-6/v%{version}/src/apache-%{name}-%{version}-src.tar.gz
# Source0-md5:	83b46d9346bcbc517dbf6f1cac9ef8b1
Source1:	apache-%{name}.init
Source2:	apache-%{name}.sysconfig
Source3:	%{name}-build.properties
Source10:	%{name}-context-ROOT.xml
Source11:	%{name}-context-docs.xml
Source12:	%{name}-context-manager.xml
Source13:	%{name}-context-host-manager.xml
Source14:	%{name}-context-examples.xml
Patch0:		%{name}-build.xml.patch
Patch1:		%{name}-extras.xml.patch
URL:		http://tomcat.apache.org/
BuildRequires:	ant >= 1.5.3
BuildRequires:	ant-trax
BuildRequires:	eclipse-jdt >= 3.2
BuildRequires:	java-commons-daemon >= 1.0
BuildRequires:	java-commons-dbcp-tomcat5 >= 0:1.1
BuildRequires:	java-commons-pool-tomcat5
%if %{with webservices}
BuildRequires:	java(JSR109)
BuildRequires:	java-geronimo-spec-jaxrpc
%endif
BuildRequires:	java-jdbc-mysql
BuildRequires:	java-mail
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	java(jaxp_parser_impl)
Requires:	java(jndi) >= 1.2.1
Requires:	java-%{name}-catalina = %{epoch}:%{version}-%{release}
Requires:	java-%{name}-coyote = %{epoch}:%{version}-%{release}
Requires:	java-%{name}-jasper = %{epoch}:%{version}-%{release}
Requires:	java-commons-dbcp-tomcat5 >= 0:1.1
Requires:	java-commons-pool-tomcat5
Requires:	java-jdbc-mysql
Requires:	java-mail
Requires:	java-servletapi = %{epoch}:%{version}-%{release}
Requires:	jpackage-utils
Requires:	jre >= 1.2
Requires:	jsvc
Requires:	rc-scripts
Suggests:	tomcat-native
Provides:	group(servlet)
Provides:	group(tomcat)
Provides:	user(tomcat)
Obsoletes:	apache-tomcat
Obsoletes:	jakarta-tomcat
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_tomcatdir	%{_datadir}/tomcat
%define 	_logdir		%{_var}/log
%define		_vardir		%{_var}/lib/tomcat
%define		_sysconfdir	/etc/tomcat

%define find_jar() %{expand:%%define jarfile {%(jar=$(find-jar %1); echo ${jar:-%%nil})}}%{?jarfile}%{!?jarfile:%{error:find-jar %1 failed}}%{nil}

%description
Tomcat is the servlet container that is used in the official Reference
Implementation for the Java Servlet and JavaServer Pages technologies.
The Java Servlet and JavaServer Pages specifications are developed by
Sun under the Java Community Process.

Tomcat is developed in an open and participatory environment and
released under the Apache Software License. Tomcat is intended to be a
collaboration of the best-of-breed developers from around the world.
We invite you to participate in this open development project.

%description -l pl.UTF-8
Tomcat to kontener serwletowy używany przez oficjalną implementację
wzorcową technologii Java Servlet i JavaServer Pages. Specyfikacje
Java Servlet i JavaServer Pages są rozwijane przez Suna zgodnie z Java
Community Process.

%package webapp-docs
Summary:	The Apache Tomcat Servlet/JSP Container documentation
Summary(pl.UTF-8):	Dokumentacja do Tomcata - kontenera Servlet/JSP
Group:		Documentation
Obsoletes:	apache-tomcat-doc
Obsoletes:	jakarta-tomcat-doc
Obsoletes:	tomcat-doc

%description webapp-docs
The Tomcat Servlet/JSP Container documentation.

%description webapp-docs -l pl.UTF-8
Dokumentacja do Tomcata - kontenera Servlet/JSP.

%package webapp-manager
Summary:	The Apache Tomcat Servlet/JSP application manager
Summary(pl.UTF-8):	Zarządca aplikacji w Tomcacie
Group:		Networking/Daemons/Java/Servlets
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description webapp-manager
The Apache Tomcat Servlet/JSP application manager.

%description webapp-manager -l pl.UTF-8
Zarządca aplikacji w Tomcacie.

%package webapp-host-manager
Summary:	The Apache Tomcat Servlet/JSP virtual hosts manager
Summary(pl.UTF-8):	Zarządca wirtualnych hostów w Tomcacie
Group:		Networking/Daemons/Java/Servlets
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	tomcat-admin

%description webapp-host-manager
The Apache Tomcat Servlet/JSP virtual hosts manager.

%description webapp-host-manager -l pl.UTF-8
Zarządca wirtualnych hostów w Tomcacie.

%package webapp-examples
Summary:	The Apache Tomcat Servlet/JSP example applications
Summary(pl.UTF-8):	Przykładowe aplikacje dla Tomcata
Group:		Networking/Daemons/Java/Servlets
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description webapp-examples
The Apache Tomcat Servlet/JSP example applications.

%description webapp-examples -l pl.UTF-8
Przykładowe aplikacje dla Tomcata.

%package webservices
Summary:	Web Services support (JSR 109)
Group:		Libraries/Java
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	java(JSR109)
Requires:	java-geronimo-spec-jaxrpc

%description webservices
Factories for JSR 109 which may be used to resolve web services
references.

%package -n java-tomcat-catalina
Summary:	Tomcat's servlet container
Group:		Libraries/Java
Requires:	jpackage-utils

%description -n java-tomcat-catalina
Catalina is Tomcat's servlet container. Catalina implements Sun
Microsystems' specifications for servlet and JavaServer Pages (JSP).

%package -n java-tomcat-coyote
Summary:	Tomcat HTTP connector
Group:		Libraries/Java
Requires:	jpackage-utils

%description -n java-tomcat-coyote
Coyote is Tomcat's HTTP Connector component that supports the HTTP 1.1
protocol for the web server or application container. Coyote listens
for incoming connections on a specific TCP port on the server and
forwards the request to the Tomcat Engine to process the request and
send back a response to the requesting client.

%package -n java-tomcat-jasper
Summary:	JSP compiler
Summary(pl.UTF-8):	Kompilator JSP
Group:		Libraries/Java
Requires:	eclipse-jdt >= 3.2
Requires:	jpackage-utils
Obsoletes:	apache-tomcat-jasper
Obsoletes:	tomcat-jasper

%description -n java-tomcat-jasper
Jasper is Java ServerPages compiler used by Apache Tomcat servlet
container.

%description -n java-tomcat-jasper -l pl.UTF-8
Jasper jest kompilatorem Java ServerPages używanym przez kontener
servletów Apache Tomcat.

%package -n java-servletapi
Summary:	Java servlet and JSP implementation classes
Summary(pl.UTF-8):	Klasy z implementacją Java Servlet i JSP
Group:		Libraries/Java
Provides:	java(jsp) = %{jspapiver}
Provides:	java(servlet) = %{servletapiver}
Obsoletes:	java-servletapi5

%description -n java-servletapi
Implementation classes of the Java Servlet and JSP APIs (packages
javax.servlet, javax.servlet.http, javax.servlet.jsp, and
javax.servlet.jsp.tagext).

%description -n java-servletapi -l pl.UTF-8
Implementacje klas API Java Servlet i JSP (pakiety javax.servlet,
javax.servlet.http, javax.servlet.jsp i java.servlet.jsp.tagext).

%prep
%setup -q -n apache-%{name}-%{version}-src

%patch0 -p0
%patch1 -p0

# we don't need those scripts
rm bin/*.bat
rm bin/{startup,shutdown}.sh

cp %{SOURCE3} build.properties

%build
TOPDIR=$(pwd)

%ant -Drpm.javadir=%{_javadir} -Drpm.libdir=%{_libdir}

%if %{with javadoc}
%ant -f dist.xml dist-javadoc
%endif

%if %{with webservices}
mkdir -p output/extras/webservices

ln -s %{_javadir}/geronimo-spec-jaxrpc.jar output/extras/webservices/jaxrpc.jar
ln -s %{_javadir}/jsr109.jar output/extras/webservices/wsdl4j.jar

%ant -f extras.xml webservices
%endif


%install
rm -rf $RPM_BUILD_ROOT
cd output/build

TOMCATDIR=$RPM_BUILD_ROOT%{_tomcatdir}
CATALINADIR=$RPM_BUILD_ROOT/var/lib/tomcat

install -d $TOMCATDIR \
	    $CATALINADIR/temp \
	    $RPM_BUILD_ROOT%{_vardir}/webapps \
	    $RPM_BUILD_ROOT%{_vardir}/work \
	    $RPM_BUILD_ROOT%{_vardir}/conf \
	    $RPM_BUILD_ROOT%{_logdir}/tomcat \
	    $RPM_BUILD_ROOT/etc/sysconfig \
	    $RPM_BUILD_ROOT/etc/rc.d/init.d

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/tomcat
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/tomcat

cp -a conf/* $CATALINADIR/conf
install -d $CATALINADIR/conf/Catalina/localhost
install %{SOURCE10} $CATALINADIR/conf/Catalina/localhost/ROOT.xml
install %{SOURCE11} $CATALINADIR/conf/Catalina/localhost/docs.xml
install %{SOURCE12} $CATALINADIR/conf/Catalina/localhost/manager.xml
install %{SOURCE13} $CATALINADIR/conf/Catalina/localhost/host-manager.xml
install %{SOURCE14} $CATALINADIR/conf/Catalina/localhost/examples.xml

cp -a bin lib webapps $TOMCATDIR
cp -a temp $CATALINADIR

ln -sf %{_logdir}/tomcat $CATALINADIR/logs
ln -sf %{_logdir}/tomcat $TOMCATDIR/logs
ln -sf %{_vardir}/work $TOMCATDIR/work
ln -sf %{_vardir}/conf $TOMCATDIR/conf
ln -sf %{_vardir}/conf $RPM_BUILD_ROOT%{_sysconfdir}

# symlinks instead of copies
jars="commons-daemon commons-logging-api"
for jar in $jars; do
	jar=$(find-jar $jar)
	ln -sf $jar $TOMCATDIR/bin
done

jars="commons-pool-tomcat5 commons-dbcp-tomcat5 mysql-connector-java org.eclipse.jdt.core mail"
for jar in $jars; do
	jar=$(find-jar $jar)
	ln -sf $jar $TOMCATDIR/lib
done

install -d $RPM_BUILD_ROOT%{_javadir}
mv $TOMCATDIR/lib/jasper*.jar $RPM_BUILD_ROOT%{_javadir}
mv $TOMCATDIR/lib/jsp-api.jar $RPM_BUILD_ROOT%{_javadir}/jsp-api-%{jspapiver}.jar
mv $TOMCATDIR/lib/servlet-api.jar $RPM_BUILD_ROOT%{_javadir}/servlet-api-%{servletapiver}.jar
mv $TOMCATDIR/lib/catalina.jar $RPM_BUILD_ROOT%{_javadir}/tomcat6-catalina.jar
mv $TOMCATDIR/lib/tomcat-coyote.jar $RPM_BUILD_ROOT%{_javadir}/tomcat6-coyote.jar

ln -s jsp-api-%{jspapiver}.jar $RPM_BUILD_ROOT%{_javadir}/jsp-api.jar
ln -s servlet-api-%{servletapiver}.jar $RPM_BUILD_ROOT%{_javadir}/servlet-api.jar

# XXX add softlinks jasper-compiler.jar and jasper-runtime for compatibility with tomcat 5.5?
ln -sf %{_javadir}/jasper-el.jar $TOMCATDIR/lib
ln -sf %{_javadir}/jasper.jar $TOMCATDIR/lib

ln -sf %{_javadir}/jsp-api-%{jspapiver}.jar $TOMCATDIR/lib/jsp-api.jar
ln -sf %{_javadir}/servlet-api-%{servletapiver}.jar $TOMCATDIR/lib/servlet-api.jar

ln -sf %{_javadir}/tomcat6-catalina.jar $TOMCATDIR/lib/catalina.jar
ln -sf %{_javadir}/tomcat6-coyote.jar $TOMCATDIR/lib/tomcat-coyote.jar

%if %{with webservices}
install ../extras/catalina-ws.jar $TOMCATDIR/lib/catalina-ws.jar

ln -s %{_javadir}/geronimo-spec-jaxrpc.jar $TOMCATDIR/lib/jaxrpc.jar
ln -s %{_javadir}/jsr109.jar $TOMCATDIR/lib/jsr109.jar
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 234 -r -f tomcat
%groupadd -g 237 -r -f servlet
%useradd -u 234 -r -d /var/lib/tomcat -s /bin/false -c "Tomcat User" -g tomcat -G servlet tomcat

%post
/sbin/chkconfig --add tomcat
%service tomcat restart

%preun
if [ "$1" = "0" ]; then
	%service tomcat stop
	/sbin/chkconfig --del tomcat
fi

%postun
if [ "$1" = "0" ]; then
	%userremove tomcat
	%groupremove tomcat
	%groupremove servlet
fi

%files
%defattr(644,root,root,755)
%doc KEYS RELEASE-NOTES RELEASE-PLAN-6.0.txt RUNNING.txt
%attr(754,root,root) /etc/rc.d/init.d/tomcat
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/tomcat
%{_sysconfdir}
%dir %{_tomcatdir}
%dir %{_tomcatdir}/conf
%dir %{_tomcatdir}/bin
%{_tomcatdir}/bin/catalina-tasks.xml
%attr(755,root,root) %{_tomcatdir}/bin/*.sh
%{_tomcatdir}/bin/*.jar
%dir %{_tomcatdir}/lib
%{_tomcatdir}/lib/annotations-api.jar
%{_tomcatdir}/lib/catalina-ant.jar
%{_tomcatdir}/lib/catalina-ha.jar
%{_tomcatdir}/lib/catalina.jar
%{_tomcatdir}/lib/catalina-tribes.jar
%{_tomcatdir}/lib/commons-dbcp-tomcat5.jar
%{_tomcatdir}/lib/commons-pool-tomcat5.jar
%{_tomcatdir}/lib/el-api.jar
%{_tomcatdir}/lib/jasper-el.jar
%{_tomcatdir}/lib/jasper.jar
%{_tomcatdir}/lib/jsp-api.jar
%{_tomcatdir}/lib/mail.jar
%{_tomcatdir}/lib/mysql-connector-java.jar
%{_tomcatdir}/lib/org.eclipse.jdt.core.jar
%{_tomcatdir}/lib/servlet-api.jar
%{_tomcatdir}/lib/tomcat-coyote.jar
%{_tomcatdir}/lib/tomcat-i18n-es.jar
%{_tomcatdir}/lib/tomcat-i18n-fr.jar
%{_tomcatdir}/lib/tomcat-i18n-ja.jar

%dir %{_tomcatdir}/webapps

%config(noreplace) %attr(664,root,tomcat) %verify(not md5 mtime size) %{_vardir}/conf/Catalina/localhost/ROOT.xml
%{_tomcatdir}/webapps/ROOT

%{_tomcatdir}/logs
%{_tomcatdir}/work
%dir %attr(770,root,tomcat) %{_vardir}
# these directory has to be writeable because /admin need to modify config
# files and create temporary files
%dir %attr(770,root,tomcat) %{_vardir}/conf
%dir %attr(770,root,tomcat) %{_vardir}/conf/Catalina
%dir %{_vardir}/conf/Catalina/localhost
# tomcat config has to be writeable because of tomcat-users.xml file and Catalina dir
%config(noreplace) %attr(660,root,tomcat) %verify(not md5 mtime size) %{_vardir}/conf/catalina.policy
%config(noreplace) %attr(660,root,tomcat) %verify(not md5 mtime size) %{_vardir}/conf/*.properties*
%config(noreplace) %attr(660,root,tomcat) %verify(not md5 mtime size) %{_vardir}/conf/*.xml
%dir %attr(770,root,tomcat) %{_vardir}/work
%dir %attr(770,root,tomcat) %{_vardir}/webapps
%dir %attr(770,root,tomcat) %{_vardir}/temp
%dir %attr(770,root,tomcat) %{_logdir}/tomcat
%{_vardir}/logs

%files webapp-docs
%defattr(644,root,root,755)
%config(noreplace) %attr(664,root,tomcat) %verify(not md5 mtime size) %{_vardir}/conf/Catalina/localhost/docs.xml
%{_tomcatdir}/webapps/docs

%files webapp-manager
%defattr(644,root,root,755)
%config(noreplace) %attr(664,root,tomcat) %verify(not md5 mtime size) %{_vardir}/conf/Catalina/localhost/manager.xml
%{_tomcatdir}/webapps/manager

%files webapp-host-manager
%defattr(644,root,root,755)
%config(noreplace) %attr(664,root,tomcat) %verify(not md5 mtime size) %{_vardir}/conf/Catalina/localhost/host-manager.xml
%{_tomcatdir}/webapps/host-manager

%files webapp-examples
%defattr(644,root,root,755)
%config(noreplace) %attr(664,root,tomcat) %verify(not md5 mtime size) %{_vardir}/conf/Catalina/localhost/examples.xml
%{_tomcatdir}/webapps/examples

%if %{with webservices}
%files webservices
%defattr(644,root,root,755)
%{_tomcatdir}/lib/catalina-ws.jar
%{_tomcatdir}/lib/jsr109.jar
%{_tomcatdir}/lib/jaxrpc.jar
%endif

%files -n java-tomcat-jasper
%defattr(644,root,root,755)
%{_javadir}/jasper-el.jar
%{_javadir}/jasper.jar

%files -n java-tomcat-catalina
%defattr(644,root,root,755)
%{_javadir}/tomcat6-catalina.jar

%files -n java-tomcat-coyote
%defattr(644,root,root,755)
%{_javadir}/tomcat6-coyote.jar

%files -n java-servletapi
%defattr(644,root,root,755)
%{_javadir}/jsp-api*.jar
%{_javadir}/servlet-api*.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tomcat.spec,v $
Revision 1.173  2010/07/02 09:19:40  pawelz
- rel 8

Revision 1.172  2010/05/30 21:16:11  pawelz
- really do install java-mail

Revision 1.171  2010/05/22 19:41:11  pawelz
- BR: java-mail (thx sparky)

Revision 1.170  2010/05/21 23:08:16  pawelz
- R: java-mail, and symlink it into tomcat's lib directory.
  Note: tomcat works without it, but it is needed to define JavaMail jndi
  session

Revision 1.169  2010/05/19 20:05:09  pawelz
- rel 7 (fixed /var/lib/tomcat vs. /usr/share/tomcat confusion)

Revision 1.168  2010/05/19 17:03:16  sparky
- BR: jdk

Revision 1.167  2010/05/19 08:31:29  pawelz
- typo

Revision 1.166  2010/05/19 00:08:11  pawelz
- rel 6

Revision 1.165  2010/05/18 23:51:14  pawelz
- R: jsvc, jpackage-utils

Revision 1.164  2010/04/23 14:59:30  pawelz
- really don't pull sun's jdk
- rel 5

Revision 1.163  2010/04/21 17:08:13  arekm
- release 4

Revision 1.162  2010/04/20 17:51:11  pawelz
- unified java deps (lowercase api names)
- rel 3

Revision 1.161  2010/04/17 07:44:36  jajcus
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

Revision 1.160  2010/04/14 12:33:26  arekm
- release 2

Revision 1.159  2010/04/06 08:36:16  pawelz
- up to 6.0.26

Revision 1.158  2010/02/03 15:49:26  pawelz
- droped BR java-commons-collection (commented out by sparky in previous
  commit. Thx)

Revision 1.157  2010/02/03 01:09:41  sparky
- BR: rpm-javaprov
- dropped unused BR: apr-devel, autoconf, java-commons-collections, libtool,
  openssl-devel

Revision 1.156  2010/02/02 16:52:04  pawelz
- BR: java-mysql-connector (find-jar looks for it in %install, to link it to
  tomcat lib directory)

Revision 1.155  2010/02/01 22:11:22  pawelz
- up to 6.0.24
- dropped bug47316.patch (applied upstream)
- fixes: CVE-2009-2693 CVE-2009-2901 CVE-2009-2902 CVE-2009-3548

Revision 1.154  2010/01/19 11:52:15  pawelz
- also rename files in %files section

Revision 1.153  2010/01/19 11:25:51  pawelz
- rename jars in $TOMCAT_HOME/lib to names expected by eclipse:
  servlet-api-%{version}.jar -> servlet-api.jar
  jsp-api-%{version}.jar -> jsp-api.jar

Revision 1.152  2009/12/18 16:43:07  pawelz
- rel 7

Revision 1.151  2009/12/14 13:24:08  pawelz
- tomcat-jasper renamed to java-tomcat-jasper (it is not standalone app)
  note: no need for P: tomcat-jasper as no package requires jasper yet.

Revision 1.150  2009/12/14 10:16:14  pawelz
- apply https://issues.apache.org/bugzilla/show_bug.cgi?id=47316

Revision 1.149  2009/12/14 10:13:41  pawelz
- fix internal deps

Revision 1.148  2009/12/14 08:27:29  pawelz
- tomcat-catalina renamed to java-tomcat-catalina
- tomcat-coyote renamed to java-tomcat-coyote

Revision 1.147  2009/12/12 17:04:33  pawelz
- jasper subpackage must not create symlinks in tomcat dirs. These links should
  be provided by base tomcat package.

Revision 1.146  2009/12/12 16:40:29  pawelz
- split catalina and coyote into subpackages. It will allow to reuse these jars
  in applications that embed tomcat, like red5 or jboss.

Revision 1.145  2009/12/11 17:21:47  pawelz
- Suggests: tomcat-native
- sorted deps

Revision 1.144  2009/12/11 16:08:27  pawelz
- rel 6

Revision 1.143  2009/12/04 14:35:48  pawelz
- dropped java-commons{pool,dbcp} Rs/BRs. Our tomcat was not accessing thes
  files during build, and they were not included in tomcat's CLASSPATH. I'm
  using few instances of tomcat from PLD packages long enough to be sure, that
  these jars are not required.

Revision 1.142  2009/12/03 17:10:22  pawelz
- better permission for /var/lib/tomcat and some subdirs:
- some stupid java apps (opensso for example) need write acess to /var/lib/tomcat, but they don't write anything there.
- no need for sticky bit for /var/lib/work
- no rx for "other". Tomcat config/cache/temporary dirs may contain some private data like passwords

Revision 1.141  2009/10/27 18:23:53  pawelz
- drop R(post,postun) ldconfig

Revision 1.140  2009/10/23 20:48:08  pawelz
- R: java-commons-dbcp >= 0:1.1 (*)
- R: java-commons-dbcp-tomcat5 >= 0:1.1
- R: java-commons-pool (*)
- R: java-commons-pool-tomcat5
- BR: java-commons-pool (*)
- BR: java-commons-pool-tomcat5
- TODO: not sure if (*) are realy required, but it is safe to add them.
- rel 5

Revision 1.139  2009/10/23 09:15:52  pawelz
- build property tomcat-jdt.jar must point to jar that contains eclipse jdt.
  The problem was it pointed to itself (/usr/share/java/jasper-compiler-jdt).
  It means, that orc.eclipse.jdt classes from previous tomcat version was
  repackaged to new tomcat version. This is why these classes were older then
  tomcat. In fact they were never updated. Now this property points to
  /usr/share/java/org.eclipse.jdt.core.jar, so tomcat will use the newest
  available eclipse jdt.
- reported by zawadaa, thanks
- rel 4

Revision 1.138  2009/10/22 14:00:55  pawelz
- added mysql-connector-jara.jar to %files
- sorted %files

Revision 1.137  2009/10/22 13:47:54  pawelz
- symlink mysql-connector-java to lib and add proper BR
- rel 3

Revision 1.136  2009/09/03 07:47:00  pawelz
- internal deps

Revision 1.135  2009/09/02 09:59:09  pawelz
- rel 2

Revision 1.134  2009/09/02 09:42:43  pawelz
- commons-dbcp-tomcat5 and commons-pool-tomcat5 should go to lib, not bin.

Revision 1.133  2009/09/02 09:30:14  pawelz
- symlink commons-pool-tomcat5.jar to tomcat lib dir
- drop deps that should be auto generated (symlinks)
- symlink commons-dbcp-tomcat5.jar instead of copy

Revision 1.132  2009/08/28 11:14:33  pawelz
- tomcat config files should not be readeable by everyone since they can
  contain some passwords (for example tomcat-users.xml)

Revision 1.131  2009/08/18 15:49:50  pawelz
- rel 1

Revision 1.130  2009/08/18 15:44:30  pawelz
- include java rpm macros
- removed TODOs
- require sun jre
- adapterized

Revision 1.129  2009/08/18 15:40:11  pawelz
- merged DEVEL
- tomcat 5.5 saved on TOMCAT-5_5 branch

Revision 1.124.2.17  2009/08/18 15:33:45  pawelz
- dropped BR: junit
- dropped R: javamail

Revision 1.124.2.16  2009/08/18 15:16:05  pawelz
- dropped P: java-servlet-container
- s/java(JavaServlet)/java(Servlet)/

Revision 1.124.2.15  2009/08/18 15:10:08  pawelz
- webservices can be built against any jsr109 implementation, but ant excepts
  jsr109 library filename to be wsdl4j.jar

Revision 1.124.2.14  2009/08/18 12:45:27  pawelz
- webservices subpackage requires any JSR-109 implementation.

Revision 1.124.2.13  2009/08/18 12:39:35  pawelz
- bcond extras renamed to webservices
- webservices subpackage

Revision 1.124.2.12  2009/08/18 11:25:53  pawelz
- typo

Revision 1.124.2.11  2009/08/18 11:07:16  pawelz
- make use of javadoc bcond

Revision 1.124.2.10  2009/08/17 15:46:29  pawelz
- first attempt to build extras
- more %docs

Revision 1.124.2.9  2009/08/17 15:00:45  pawelz
- removed some commented lines
- dropped jta bcond

Revision 1.124.2.8  2009/08/17 14:57:12  pawelz
- servletapi subpackages
- fixed rm paths in %prep
- adapterized
- dropped more dependencies

Revision 1.124.2.7  2009/08/17 14:27:50  pawelz
- removed a lot of commented lines
- some Obsoletes

Revision 1.124.2.6  2009/08/17 14:11:55  pawelz
- updated last commit log (I commited this file by accident...)
- updated TODO

Revision 1.124.2.5  2009/08/17 14:03:35  pawelz
- builds, installs and works
- needs some cleanup and testing

Revision 1.124.2.4  2009/08/14 07:37:44  pawelz
- %install seems to work

Revision 1.124.2.3  2009/08/13 14:41:44  pawelz
- reviewed BRs
- up to 6.0.20

Revision 1.124.2.2  2009/08/13 14:06:53  pawelz
- %build seems to work.

Revision 1.124.2.1  2009/05/25 05:21:03  pawelz
- first attempt to package tomcat 6.
- NFY

Revision 1.124  2009/05/18 08:18:56  pawelz
- BR: s/jakarta-regexp/java-regexp/

Revision 1.123  2009/04/16 13:38:48  paszczus
- rel 1, finally.

Revision 1.122  2009/04/16 08:29:37  paszczus
- cleanup

Revision 1.121  2009/04/16 08:18:39  paszczus
- added Patch8 which removes broken links from menu; rel 0.9

Revision 1.120  2009/04/14 14:48:51  pawelz
- BR: java-jdbc-mysql

Revision 1.119  2009/04/14 14:32:02  pawelz
- install jdbc-mysql in common/lib

Revision 1.118  2009/04/13 07:36:42  glen
- symlinks cleanup

Revision 1.117  2009/04/12 23:14:10  pawelz
- link commons-pool-tomcat5 to common/lib

Revision 1.116  2009/04/12 19:08:05  pawelz
- +x for some dirs

Revision 1.115  2009/04/12 18:53:07  pawelz
- add it also to %files

Revision 1.114  2009/04/12 18:43:45  pawelz
- one more symlink to /var/log/tomcat

Revision 1.113  2009/04/12 17:41:59  pawelz
- conf directory has to be writeable by tomcat (because of /admin)

Revision 1.112  2009/04/12 15:07:09  glen
- drop startup/shutdown wrappers (unused)

Revision 1.111  2009/04/12 14:57:49  pawelz
- groupadd/groupremove/Provide group: servlet

Revision 1.110  2009/04/12 14:53:20  glen
- apply -admin-struts.patch

Revision 1.109  2009/04/12 14:37:43  glen
- .renametojar still exist

Revision 1.108  2009/04/12 14:34:56  glen
- resurrect -doc package
- don't package jsp-examples
- cosmetics

Revision 1.107  2009/04/12 14:14:52  glen
- obsoletes

Revision 1.106  2009/04/12 14:11:36  glen
- strict deps for -admin

Revision 1.105  2009/04/12 12:17:01  pawelz
- renamed from apache-tomcat.spec

Revision 1.104  2009/04/12 12:11:13  glen
- fix trash and paths

Revision 1.103  2009/04/12 11:58:13  glen
- remove container/webapps/admin/images/Thumbs.db, causes magic db to abort

Revision 1.102  2009/04/12 11:52:22  glen
- fix one more jakarta in pkg name

Revision 1.101  2009/04/11 18:24:51  glen
- make find-jar subshells fatal
- cleanup

Revision 1.100  2009/04/11 01:28:46  pawelz
- apply admin-struts patch
- BR: comons-chain

Revision 1.99  2009/04/10 23:57:01  pawelz
- missing dirs

Revision 1.98  2009/04/10 23:36:06  pawelz
- fixed links for admin

Revision 1.97  2009/04/10 23:19:41  pawelz
- link jars required by admin
- rel 0.3

Revision 1.96  2009/04/09 14:33:21  pawelz
- admin R: java-commons-chain

Revision 1.95  2009/04/08 21:02:29  pawelz
- more Rs

Revision 1.94  2009/04/08 20:56:36  pawelz
- groups:
- Networking/Daemons/Java/Servlets for -admin (is it correct?)
- Networking/Daemons/Java for main package (is it correct?)
- Documentation for -doc
- apache license version

Revision 1.93  2009/04/08 17:25:12  pawelz
- require java-mail, not just any javamail

Revision 1.92  2009/04/08 08:45:17  glen
- typo

Revision 1.91  2009/04/08 07:58:26  pawelz
- why builders try to install jsse? It should be disabled by bcond.

Revision 1.90  2009/04/08 07:39:58  pawelz
- jdk-dependend BRs

Revision 1.89  2009/04/07 10:45:56  pawelz
- force sun's jdk
- sorted BRs
- cosmetics

Revision 1.88  2009/04/07 10:43:52  pawelz
- do not force the newest version of junit
- by default build without jta (apache tomcat is not JEE compliant app server
  so it does not have to contain jta. And jta is problematic because of
  license)

Revision 1.87  2009/04/07 10:28:07  pawelz
- java- prefix for some dpes

Revision 1.86  2009/04/06 10:29:57  glen
- configs should not be executable
- missing dirs

Revision 1.85  2009/04/03 20:19:57  paszczus
- separeted admin webapp to -admin subpackage

Revision 1.84  2009/04/03 07:28:45  glen
- some old changes from my laptop, plz review and keep or remove

Revision 1.83  2009/04/03 07:24:02  paszczus
- oops. fixed symlink for jasper

Revision 1.82  2009/04/02 13:02:13  glen
- revert vodka overdoze by paszczus

Revision 1.81  2009/04/01 19:06:54  paszczus
- proper permissions for -jasper subpackage

Revision 1.80  2009/04/01 14:02:20  pawelz
- strict internal deps
- better description for jasper
- pl for jasper

Revision 1.79  2009/04/01 10:34:00  glen
- R: jpackage-utils for %{_javadir}

Revision 1.78  2009/04/01 07:38:37  paszczus
- separeted jasper jars to -jasper subpackage

Revision 1.77  2009/02/02 18:05:51  pawelz
- P: java-servlet-container
- sorted BRs

Revision 1.76  2009/01/26 11:05:24  pawelz
- use correct uid and gid number

Revision 1.75  2009/01/26 10:54:59  pawelz
- rel 0.2 (because of new uid/gid)

Revision 1.74  2009/01/26 10:43:46  pawelz
- use tomcat uid/gid instead of http

Revision 1.73  2009/01/25 17:08:05  pawelz
- install temp directory in CATALINA_BASE, not in CATALINA_HOME

Revision 1.72  2009/01/25 17:01:38  pawelz
- added context files for webapps distributed with tomcat

Revision 1.71  2009/01/24 21:15:54  pawelz
- typo... a stupid one... it is to late.

Revision 1.70  2009/01/24 21:08:08  pawelz
- missing directory

Revision 1.69  2009/01/24 19:31:29  pawelz
- added sysconfig file

Revision 1.68  2009/01/23 20:25:05  pawelz
- fixed logdir path in %files

Revision 1.67  2009/01/23 20:16:11  pawelz
- install directories writable for tomcat into /var/lib
- now /etc/tomcat and /usr/share/tomcat are ro

Revision 1.65  2009/01/23 18:19:56  pawelz
- once again: Require exact version, but not release of java-servletapi5

Revision 1.64  2009/01/23 18:16:45  pawelz
- s/jakarta-struts/java-struts/
- s/jakarta-commons-httpclent/java-commons-httpclient/
- Require exact version, but not release of java-servletapi5

Revision 1.63  2009/01/22 12:20:08  pawelz
- typos

Revision 1.62  2009/01/22 12:17:00  pawelz
- require exact version of java-servletapi5

Revision 1.61  2009/01/22 12:10:44  pawelz
- sed script converted to patch

Revision 1.60  2009/01/22 11:27:28  pawelz
- updated depndencies

Revision 1.59  2009/01/22 08:20:35  pawelz
- removed mx4j depndency. It is no longer needed since jmx is provided by
  jre package.
- some struts-related fixes, tested with struts 1.3.10
- it builds and works now!!!
- please help to test it.

Revision 1.58  2008/10/03 19:27:53  glen
- BR commons-io >= 1.4

Revision 1.57  2008/10/03 18:59:48  glen
- 5.5.27

Revision 1.56  2008-04-11 07:17:10  glen
- 5.5.26

Revision 1.55  2007-12-07 18:58:08  glen
- builds again, revised symlinks

Revision 1.54  2007-12-02 22:41:47  glen
- use -tomcat5 deps

Revision 1.53  2007-12-02 21:06:08  glen
- skip writing /usr/share/java/LICENSE

Revision 1.52  2007-08-23 09:15:56  glen
- initscript copied in cvs

Revision 1.51  2007/08/20 21:24:22  glen
- spec was copied

Revision 1.50  2007/04/27 14:34:07  glen
- some packaging attempts

Revision 1.49  2007/04/19 22:24:12  glen
- BR deps from fc

Revision 1.48  2007/04/19 20:36:30  glen
- BUILDS, so cleaning up

Revision 1.47  2007/04/19 20:13:31  glen
- update

Revision 1.46  2007/04/19 18:57:54  glen
- save changes

Revision 1.45  2007/04/17 20:23:57  glen
- it is apache tomcat now (cvs admin please cp spec)

Revision 1.44  2007/04/16 16:10:23  qboosh
- updated pl

Revision 1.43  2007/04/11 23:34:05  glen
- save work

Revision 1.42  2007/04/11 20:26:30  glen
- copy from tomcat5 branch, previous one saved to TOMCAT-4_1 branch
- version 5.5.23

Revision 1.36.2.7  2007/04/11 20:23:41  glen
- save work

Revision 1.36.2.6  2007/04/10 00:09:51  glen
- save some progress

Revision 1.36.2.5  2007/01/31 19:15:57  glen
- cleanup

Revision 1.36.2.4  2007/01/31 19:15:02  glen
- updated %build from jpackage project

Revision 1.36.2.3  2007/01/31 18:45:34  glen
- use %{_javadir}

Revision 1.36.2.2  2007/01/31 18:42:53  glen
- use %service
- truncate changelog

Revision 1.36.2.1  2005/12/28 19:07:47  glen
- started tomcat5, all fails. everyone is welcome to help
